package com.skr.mdm.authentication.admin;

import com.skr.mdm.enums.ResultCodeEnum;
import lombok.Getter;
import org.springframework.security.access.AccessDeniedException;

/**
 * @author nfq
 * @date 2020/7/22 17:05
 */
@Getter
public class IllegalRequestException extends AccessDeniedException {

    private final String code;

    public IllegalRequestException() {
        super(ResultCodeEnum.ILLEGAL_REQUEST.getMsg());
        this.code = ResultCodeEnum.ILLEGAL_REQUEST.getCode();
    }
}
